﻿using System;
using System.Collections.Generic;
using Rhino;
using Rhino.Commands;
using Rhino.Geometry;
using Rhino.Input;
using Rhino.Input.Custom;


namespace LoadTest
{
    [System.Runtime.InteropServices.Guid("a453adcb-075b-4b5f-94b3-87683aea9095")]
    public class LoadTestCommand : Command
    {
        public LoadTestCommand()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
            RhinoApp.WriteLine("我自己的插件被调用了！");
            
        }
        
        ///<summary>The only instance of this command.</summary>
        public static LoadTestCommand Instance
        {
            get;
            private set;
        }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName
        {
            get { return "LoadTestCommand"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            // TODO: start here modifying the behaviour of your command.
            // ---
            //Rhino.DocObjects.Custom.UserData ud;
            String ud = Rhino.RhinoDoc.ActiveDoc.Strings.GetValue("Plugin", "Name");
            RhinoApp.WriteLine("检测到的用户数据是“{0}”", ud);
            if (ud == "LoadTest")
            {
                RhinoApp.WriteLine("这是含有我自定义插件信息的模型文件！");
            }
            

            // ---

            return Result.Success;
        }
        
    }
}
