﻿using Rhino.PlugIns;
using System;
namespace LoadTest
{
    ///<summary>
    /// <para>Every RhinoCommon .rhp assembly must have one and only one PlugIn-derived
    /// class. DO NOT create instances of this class yourself. It is the
    /// responsibility of Rhino to create an instance of this class.</para>
    /// <para>To complete plug-in information, please also see all PlugInDescription
    /// attributes in AssemblyInfo.cs (you might need to click "Project" ->
    /// "Show All Files" to see it in the "Solution Explorer" window).</para>
    ///</summary>
    public class LoadTestPlugIn : Rhino.PlugIns.PlugIn
    {
        public LoadTestPlugIn()
        {
            Instance = this;
            Rhino.RhinoDoc.EndOpenDocument += new System.EventHandler<Rhino.DocumentOpenEventArgs>(WriteSomething);
        }

        void WriteSomething(object sender, Rhino.DocumentOpenEventArgs e)
        {
            String ud = Rhino.RhinoDoc.ActiveDoc.Strings.GetValue("Plugin", "Name");
            if (ud == "LoadTest")
            {
                Rhino.RhinoApp.WriteLine("检测到我的用户数据。当前打开的是含有我自定义插件信息的模型文件！");
            }
            
        }
        public override PlugInLoadTime LoadTime
        {
            get { return Rhino.PlugIns.PlugInLoadTime.AtStartup; }
        }
        ///<summary>Gets the only instance of the LoadTestPlugIn plug-in.</summary>
        public static LoadTestPlugIn Instance
        {
            get;
            private set;
        }
       

        // You can override methods here to change the plug-in behavior on
        // loading and shut down, add options pages to the Rhino _Option command
        // and mantain plug-in wide options in a document.
    }
}